### Method

# Vips Image get_data

#### Declaration [src]

    void*
    vips_image_get_data (
      VipsImage* image
    )

#### Description [src]

Return a pointer to the image’s pixel data, if possible. This can involve allocating large amounts of memory and performing a long computation. Image pixels are laid out in band-packed rows.

Since this function modifies `image`, it is not threadsafe. Only call it on images which you are sure have not been shared with another thread.

See also

`vips_image_wio_input()`, `vips_image_copy_memory()`.

#### Return value

Type: `void*`

A pointer to pixel data, if possible.

The returned data is owned by the instance.
The return value can be `NULL`.